VismaBouwsoftAPICalls.v1_PUT_Projects Method
v1_PUT_Projects() as String

This API call is used to update fields of a(n) Project

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Projects/{id}
or
API Path: /Projects/{id}/ApproveProject
or
API Path: /Projects/{id}/AssignGroup
or
API Path: /Projects/{id}/AssignList
or
API Path: /Projects/{id}/UnAssignGroup
or
API Path: /Projects/{id}/UnAssignList
or
API Path: /Projects/{id}/Upload

You make this API call with the key field id as the path parameter (the id of the Project you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
pnr 1 tpLong 0 No Yes No
unr 1 tpLong 0 No Yes No
name 2 tpString 100 No Yes No
yourreference 2 tpString 50 No Yes No
list 2 tpString 50 No No No
group 2 tpString 50 No No No
address 2 tpString 63 No Yes No
addressline2 2 tpString 63 No Yes No
telephone1 2 tpString 25 No Yes No
gsm 2 tpString 25 No Yes No
countrycode 2 tpString 2 No Yes No
zipcode 2 tpString 15 No Yes No
city 2 tpString 40 No Yes No
state 2 tpString 40 No Yes No
distance 4 tpDouble 0 No Yes No
client_addressid 1 tpLong 0 Yes Yes No Addresses
client_name 2 tpString 150 No No No
client_telephone 2 tpString 25 No No No
client_gsm 2 tpString 25 No No No
client_email 2 tpString 100 No No No
client_readonly 5 tpBool 0 No No No
date_created 3 tpDate 0 No No No
date_approved 6 tpDateNullString 0 No No No
date_rejected 6 tpDateNullString 0 No No No
date_completed 6 tpDateNullString 0 No No No
ordernr 2 tpString 100 No Yes No
contractamount 8 tpCurrency 0 No No No
iscostplusproject 5 tpBool 0 No Yes No
isrealestateproject 5 tpBool 0 No Yes No
hasactualcosts 5 tpBool 0 No No No
archivenr 2 tpString 50 No Yes No
cadaster_department 2 tpString 50 No Yes No
cadaster_section 2 tpString 50 No Yes No
cadaster_nr 2 tpString 250 No Yes No
be_gewestplan 2 tpString 50 No Yes No
be_werkplaatsnr30bis 2 tpString 50 No Yes No
be_bpa 2 tpString 50 No Yes No
be_rup 2 tpString 50 No Yes No
lotnr 2 tpString 50 No Yes No
company_id 1 tpLong 0 Yes Yes No CompanyDetails
company_name 2 tpString 250 No No No
executiontime 1 tpLong 0 No Yes No
approved 5 tpBool 0 No No No
rejected 5 tpBool 0 No Yes No
completed 5 tpBool 0 No Yes No
parent_id 1 tpLong 0 No No No Projects
currentphase_id 1 tpLong 0 No No No
currentphase_title 2 tpString 50 No No No
active 5 tpBool 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Projects/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3321

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rOmfWxfAfGzSfOOlOfzRqmIjflVUGflAfDUbzmlfDVUfrGUIrO

Query Parameters :
ParameterName: columns, ParameterValue: address=’Gistelse steenweg 80‘,zipcode=’8200’,countrycode=’BE‘,city=’Brugge’
ParameterName: calculateDistance, ParameterValue: False

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3321,
    "address": "Gistelse steenweg 80",
    "zipcode": "8200",
    "city": "Brugge",
    "state": "West-Vlaanderen",
    "ts_lastupdate": "2026–05–07 09:18:39"
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects/3320

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: VrUfWxfArrzSfjjbtfzRqPtGfkbkGfVjfUkbzjfbfbVflfDjVP

Query Parameters :
ParameterName: columns, ParameterValue: client_addressid=3759,address=’Gruuthof 23‘,zipcode=’8490’,countrycode=’BE‘,city=’Varsenare’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "address": "Gruuthof 23",
    "zipcode": "8490",
    "city": "Varsenare",
    "state": "West-vlaanderen"
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects/3320

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: VGVfWxftUIzSfbrIAfzRqkrOftmPGfVPfIrbzPOjbUmfGmAbOA

Query Parameters :
ParameterName: columns, ParameterValue: address=’Gistelse steenweg 41‘,zipcode=’8200’,countrycode=’BE‘,city=’Brugge’,distance=20
ParameterName: calculateDistance, ParameterValue: false

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "address": "Gistelse steenweg 41",
    "countrycode": "BE",
    "zipcode": "8200",
    "city": "Brugge",
    "state": "West-Vlaanderen",
    "distance": 20
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects/3321

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: kkGfWxffDOzSftmGkfzRqPGbfAmDkGGPfGtkzUDmOfOIOOVlIj

Query Parameters :
ParameterName: columns, ParameterValue: address=’Gistelse steenweg 80‘,zipcode=’8200’,countrycode=’BE‘,city=’Brugge’
ParameterName: calculateDistance, ParameterValue: True

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3321,
    "address": "Gistelse steenweg 80",
    "zipcode": "8200",
    "city": "Brugge",
    "state": "West-Vlaanderen",
    "distance": 6.592
  }
]
}

https://ra.bouwsoft.be/api/v1/Projects/3320

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: ljGfWxfkOGzSffAfDfzRqGUmfkDUfGUOfImkzIjfkOtGbjlVbf

Query Parameters :
ParameterName: columns, ParameterValue: unr=1275

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "unr": 1275
  }
]
}

/Projects/{id}/ApproveProject

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/ApproveProject

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UbOfWxfrDkzSfIIIrfzRqDlIfDlrGfjVflbbzbPtflmfAGAPkA

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "unr": 1351,
    "date_approved": "2026–05–07",
    "approved": true,
    "ts_lastupdate": "2026–05–07 00:00:00"
  }
]
}

/Projects/{id}/AssignGroup

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/AssignGroup

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bOIfWxfOrOzSfIDDktzRqbjPfmIkIOttjUltzftfAPrGflAOOf
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: group_id, ParameterValue: 34

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "list": "ALGEMEEN",
    "group": "APIProjectGroup"
  }
]
}

/Projects/{id}/AssignList

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/AssignList

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: VVIfWxfjtPzSfVGOrfzRqlkmfjGGGfkUfUbbzfUflbtfDPfbbm

Query Parameters :
ParameterName: list, ParameterValue: APIProjectList

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "list": "APIPROJECTLIST",
    "group": ""
  }
]
}

/Projects/{id}/UnAssignGroup

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/UnAssignGroup

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bOIfWxfOrOzSfIDDktzRqbjPfmIkIOttjUltzftfAPrGflAOOf
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "group": ""
  }
]
}

/Projects/{id}/UnAssignList

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/UnAssignList

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PVbfWxfmPPzSffmbIfzRqjmVftIGGfflftfbzmPbGUjfOIbkGr

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3320,
    "list": "",
    "group": ""
  }
]
}

/Projects/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Projects/3320/Upload

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UUffWxfVODzSfImGmtzRqPrtfjklIOPPjjftzOrVtmAGUtrkGr
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: folder, ParameterValue: testfolder

Body Parameters :
ParameterName: fileParameterValue: tptypeput.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptypeput.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:18:28Z",
    "server_modified": "2026–05–07T09:18:28Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "+isPo3xBcVuuyL8xCxkv5IhbYDMy/Fs/UaBvMcQRQdA="
  }
]
}